Name:       gnome-shell-extension-no-topleft-hot-corner
Summary:    Disable the "hot corner" in the top-left of GNOME Shell
Version:    17.0
Release:    2%{?dist}
URL:        https://extensions.gnome.org/extension/118/no-topleft-hot-corner/
License:    GPLv2
BuildArch:  noarch

Source0: https://github.com/HROMANO/nohotcorner/archive/v%{version}/nohotcorner-%{version}.tar.gz
Source1: README.md

Requires: gnome-shell >= 3.8
Requires: gnome-shell-extension-common

# CentOS 7 build environment doesn't support Recommends tag.
%if 0%{?fedora}
Recommends: gnome-tweak-tool
%endif


%description
The top-left hot corner in GNOME Shell makes it easier to toggle the Activities
Overview --- perhaps a little too easy. No Topleft Hot Corner simply disables
the hot corner, so you don't have to worry about accidentally triggering
Activities anymore when moving the mouse near the top-left of the screen. But
you can still toggle the overview by clicking on the Activities button.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  nohotcorner@azuri.free.fr
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -n nohotcorner-%{version}

%build
# No compiling necessary.

%install
mkdir -p %{final_install_dir}
cp --recursive --preserve=mode,timestamps  ./*  %{final_install_dir}
cp --recursive --preserve=mode,timestamps  %{SOURCE1}  ./README-fedora.md
# LICENSE and README also get copied to standard documentation and license
# locations, so we don't need them here.
rm  %{final_install_dir}/LICENSE  %{final_install_dir}/README.md



%files
%doc README.md  README-fedora.md
%license LICENSE
%{gnome_extensions_dir}/%{UUID}/



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 27 2018 Andrew Toskin <andrew@tosk.in> - 17.0-1
- Bump to upstream version 17.0, which assures compatibility with the
  upcoming GNOME 3.28 release.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Oct 31 2017 Andrew Toskin <andrew@tosk.in> - 16.0-1
- Bump to upstream version 16.0, which assures compatibility with GNOME 3.26.

* Mon Oct 30 2017 Andrew Toskin <andrew@tosk.in> - 15.0-3
- Include Fedora-specific README.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Apr 30 2017 Andrew Toskin <andrew@tosk.in> - 15.0-1
- Update to upstream version 15.0. See the upstream change log:
  https://github.com/HROMANO/nohotcorner/compare/v14.0...v15.0
- Package description notes changes to GNOME Shell integration browser plugin.

* Thu Mar 23 2017 Andrew Toskin <andrew@tosk.in> - 14.0-2
- Small changes to package description and documentation, such as the process
  for enabling the extension from a web browser.
- Add support for EPEL 7.

* Tue Mar 14 2017 Andrew Toskin <andrew@tosk.in> - 14.0-1
- First build accepted into Fedora.
